(n)certainties – Columbia – Fall 2008

JA_2

Option Explicit
‘Script written by <insert name>
‘Script copyrighted by <insert company name>
‘Script version Wednesday, October 01, 2008 3:42:11 PM

Call Main()
Sub Main()

Dim arrCrvs : arrCrvs = rhino.GetObjects(“pick crvs”)
Dim i,j
Dim xLayer,yLayer
Dim arrpts
Dim arrPlane
Dim arrplaneRef : arrPlaneRef = Rhino.WorldXYPlane
Dim srf, borders, borderCent
Dim newOrigin

Dim counter : counter = -1

Call rhino.EnableRedraw(False)
For i = 0 To Ubound(arrCrvs)
arrpts = Rhino.DivideCurveLength(arrCrvs(i), 0.4)
If isArray(arrpts) Then
For j = 0 To UBound(arrpts)

counter = counter +1
If counter < 10 Then
If counter = 0 Then
xLayer = 2.5
yLayer = 2.5
Else
xLayer = xLayer+0.1
yLayer = yLayer+0.1
End If
Else
xLayer = xLayer-0.1
yLayer = yLayer-0.1
If counter = 21 Then
counter = 0
End If
End If

newOrigin = Rhino.PointAdd(arrpts(j), array(-xLayer/2,-yLayer/2,0))
arrPlane = rhino.MovePlane(arrplaneRef, newOrigin)
srf = Rhino.AddPlaneSurface (arrplane, xLayer, yLayer)

‘Rhino.SelectObject srf
‘Rhino.Command (“Dupborder”)
‘Rhino.UnselectAllObjects
‘Rhino.DeleteObject srf
Next
End If
Next
Call rhino.EnableRedraw(True)

End Sub

Leave a Comment

0 responses so far ↓

  • There are no comments yet...Kick things off by filling out the form below.

Leave a Comment